part of 'inclusive_info_bloc.dart';

@immutable
sealed class InclusiveInfoEvent {}

class InitializeInclusiveInfoEvent extends InclusiveInfoEvent {
  InitializeInclusiveInfoEvent({required this.isInEditMode});

  final bool isInEditMode;
}

class ToggleRequiresAccommodations extends InclusiveInfoEvent {
  ToggleRequiresAccommodations(this.index);

  final int index;
}

class ChangeAccommodationsDetails extends InclusiveInfoEvent {
  ChangeAccommodationsDetails(this.details);

  final String details;
}

class SaveInclusiveInfoChanges extends InclusiveInfoEvent {}
